package app

import (
	"serverctl/pkg/api"
	"serverctl/pkg/infrastructure"
	"serverctl/pkg/infrastructure/dependencies"
	"serverctl/pkg/infrastructure/queue"
)

// Run main app, will bootstrap dependencies and run all external ports (http servers, queues, etc).
func Run() {
	d := dependencies.New()
	d.Logger.Info("Starting serverctl")

	queue.NewRabbitMQ(d.Logger, &queue.RabbitMqConfig{
		Username: "serverctl",
		Password: "serverctlsecret",
		Host:     "rabbitmq",
		Port:     5672,
	})
	// if development add seed data
	infrastructure.AddSeedData(d.Database, d.Logger)

	api.
		NewServerctlApi(d).
		SetupApi().
		RunApi()
}
